<div ng-class="mainClass" ng-style="mainStyle">
	<img src="{{sizeImage}}" style="width: 100%; height: auto;"/>
	<svg class="progress-bar__movable progress-bar__movable__car" id="progress-bar_car_svg"></svg>
	<svg class="progress-bar__movable progress-bar__movable__back" id="progress-bar_background_svg"></svg>
	<div class="progress-bar__movable"
		 ng-repeat="mapObject in mapObjects"
		 ng-style="mapObject.movableStyle">
		<div ng-style="mapObject.backgroundStyle"
			 ng-class="mapObject.backgroundClass">
			<div ng-if="mapObject.className == 'background'"
				 ng-style="mapObject.backgroundButtonStyle"
				 class="progress-bar__drawable__background__button"
				 ng-click="clickStep(mapObject.step)">
			</div>
			<div ng-if="mapObject.text" class="progress-bar__text__holder" ng-click="clickStep(mapObject.step)">
				{{mapObject.text}}
			</div>
			<div ng-if="mapObject.className == 'icon'"
				 ng-click="clickStep(mapObject.step)">
			</div>
		</div>
	</div>
</div>